Package org.apache.nutch.crawl

## Class Generator.CrawlDbUpdater

- java.lang.Object
- - org.apache.nutch.crawl.Generator.CrawlDbUpdater

- Enclosing class:
    Generator

      public static class Generator.CrawlDbUpdater
      extends Object

  Update the CrawlDB so that the next generate won't include the same URLs.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Generator.CrawlDbUpdater.CrawlDbUpdateMapper` |
    `static class` | `Generator.CrawlDbUpdater.CrawlDbUpdateReducer` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CrawlDbUpdater()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrawlDbUpdater

          public CrawlDbUpdater()